Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Member Functions | Protected Attributes | Static Private Attributes | List of all members
eZContentClassAttribute Class Reference

Encapsulates data for a class attribute. More...

Inheritance diagram for eZContentClassAttribute:

## Public Member Functions
| __construct ( $row)
| __clone ()
| instantiate ( $contentobjectID, $languageCode=false, $version=1)
| instantiateTemporary ( $contentobjectID=false)
| store ( $fieldFilters=null)
| storeDefined ()
| storeVersioned ( $version)
| removeThis ( $quiet=false)
| move ( $down, $params=null)
| dataType ()
| content ()
| setContent ( $content)
| displayInfo ()
| customHTTPAction ( $module, $http, $action)
| currentModule ()
| diff ( $old, $new)
| name ( $languageLocale=false)
| setName ( $name, $languageLocale=false)
| nameList ()
| description ( $languageLocale=false)
| setDescription ( $description, $languageLocale=false)
| descriptionList ()
| dataTextI18n ( $languageLocale=false)
| setDataTextI18n ( $string, $languageLocale=false)
| dataTextI18nList ()
| editLocale ()
| setEditLocale ( $languageLocale=false)
| setAlwaysAvailableLanguage ( $languageLocale)
| removeTranslation ( $languageLocale)
| initializeObjectAttributes (&$objects=null)
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $class_id, $data_type_string, $optionalValues=array(), $languageLocale=false)
static | fetch ( $id, $asObject=true, $version=eZContentClass::VERSION_STATUS_DEFINED, $field_filters=null)
static | fetchList ( $asObject=true, $parameters=array())
static | fetchListByClassID ( $classID, $version=eZContentClass::VERSION_STATUS_DEFINED, $asObject=true)
static | fetchFilteredList ( $cond, $asObject=true)
static | cachedInfo ()
static | sortKeyTypeByID ( $classAttributeID)
static | dataTypeByID ( $classAttributeID)
static | nameFromSerializedString ( $serializedNameList, $languageLocale=false)
static | classAttributeIDByIdentifier ( $identifier)
static | classAttributeIdentifierByID ( $id)
static | expireCache ( $contentClassAttributeID=false, $contentClassID=false)
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $Content
| $DisplayInfo
| Contains information on how to display the current attribute in various viewmodes. More...
| $ID
| $Version
| $ContentClassID
| $Identifier
| $SerializedNameList
| $NameList
| $DescriptionList
| $DataTypeString
| $Position
| $IsSearchable
| $IsRequired
| $IsInformationCollector
| $Module
| $DataTextI18nList
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Static Protected Member Functions
static | classAttributeIdentifiersHash ()
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Protected Attributes
| $EditLocale = false

## Static Private Attributes
static | $identifierHash = null

## Detailed Description

Encapsulates data for a class attribute.

Definition at line 18 of file ezcontentclassattribute.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentClassAttribute::__construct | ( |  | $row | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 20 of file ezcontentclassattribute.php.

References dataType(), eZPersistentObject\setAttribute(), and eZDebug\writeError().

## Member Function Documentation

## ◆ __clone()

eZContentClassAttribute::__clone | ( |  | ) |

Definition at line 197 of file ezcontentclassattribute.php.

## ◆ cachedInfo()

static eZContentClassAttribute::cachedInfo | ( |  | ) |
| static

Definition at line 594 of file ezcontentclassattribute.php.

References eZSys\cacheDirectory(), eZDataType\create(), and eZDB\instance().

Referenced by dataTypeByID(), and sortKeyTypeByID().

## ◆ classAttributeIDByIdentifier()

static eZContentClassAttribute::classAttributeIDByIdentifier | ( |  | $identifier | ) |
| static

Resolves the string class attribute identifier $identifier to its numeric value Use eZContentObjectTreeNode::classAttributeIDByIdentifier() for < 4.1. If multiple classes have the same identifier, the first found is returned.

Since
  Version 4.1

Returns
  int|false Returns classattributeid or false

Definition at line 865 of file ezcontentclassattribute.php.

References $identifierHash, and classAttributeIdentifiersHash().

Referenced by eZContentObjectTreeNode\classAttributeIDByIdentifier().

## ◆ classAttributeIdentifierByID()

static eZContentClassAttribute::classAttributeIdentifierByID | ( |  | $id | ) |
| static

Resolves the numeric class attribute identifier $id to its string value

Since
  Version 4.1

Returns
  string|false Returns classattributeidentifier or false

Definition at line 882 of file ezcontentclassattribute.php.

References $identifierHash.

Referenced by eZContentObjectAttribute\contentClassAttributeIdentifier().

## ◆ classAttributeIdentifiersHash()

static eZContentClassAttribute::classAttributeIdentifiersHash | ( |  | ) |
| static protected

Returns the class attribute identifier hash for the current database. If it is outdated or non-existent, the method updates/generates the file

Since
  Version 4.1 @access protected

Returns
  array Returns hash of classattributeidentifier => classattributeid

Definition at line 904 of file ezcontentclassattribute.php.

References $identifierHash, eZSys\cacheDirectory(), and eZDB\instance().

Referenced by classAttributeIDByIdentifier().

## ◆ content()

eZContentClassAttribute::content | ( |  | ) |

Returns
  The content for this attribute.

Definition at line 537 of file ezcontentclassattribute.php.

References $Content, and dataType().

## ◆ create()

static eZContentClassAttribute::create | ( |  | $class_id,
|  |  | $data_type_string,
|  |  | $optionalValues = `array()`,
|  |  | $languageLocale = `false`
| ) |  |
| static

Creates an 'eZContentClassAttribute' object.

To specify contentclassattribute name use either $optionalValues['serialized_name_list'] or combination of $optionalValues['name'] and/or $languageLocale.

In case of conflict(when both 'serialized_name_list' and 'name' with/without $languageLocale are specified) 'serialized_name_list' has top priority. This means that 'name' and $languageLocale will be ingnored because 'serialized_name_list' already has all needed info about names and languages.

If 'name' is specified then the contentclassattribute will have a name in $languageLocale(if specified) or in default language.

If neither of 'serialized_name_list' or 'name' isn't specified then the contentclassattribute will have an empty name in 'languageLocale'(if specified) or in default language.

Returns
  'eZContentClassAttribute' object.

Definition at line 221 of file ezcontentclassattribute.php.

References definition(), eZPersistentObject\newObjectOrder(), and eZContentClass\VERSION_STATUS_TEMPORARY.

Referenced by eZSiteInstaller\addClassAttributes(), and eZContentClassPackageHandler\install().

## ◆ currentModule()

eZContentClassAttribute::currentModule | ( |  | ) |

Returns
  the module which uses this attribute or `null` if no module set.

Note
  Currently only customHTTPAction sets this.

Definition at line 589 of file ezcontentclassattribute.php.

References $Module.

## ◆ customHTTPAction()

eZContentClassAttribute::customHTTPAction | ( |  | $module,
|  |  | $http,
|  |  | $action
| ) |  |

Executes the custom HTTP action

Definition at line 576 of file ezcontentclassattribute.php.

References dataType().

## ◆ dataTextI18n()

eZContentClassAttribute::dataTextI18n | ( |  | $languageLocale = `false` | ) |

Returns data_text_i18n of attribute based on serialized_data_text

Parameters

  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string

Definition at line 776 of file ezcontentclassattribute.php.

## ◆ dataTextI18nList()

eZContentClassAttribute::dataTextI18nList | ( |  | ) |

Returns data_text_i18n list for all locales for attribute

Returns
  array

Definition at line 798 of file ezcontentclassattribute.php.

## ◆ dataType()

eZContentClassAttribute::dataType | ( |  | ) |

Returns
  eZDataType

Definition at line 529 of file ezcontentclassattribute.php.

References eZDataType\create().

Referenced by __construct(), content(), customHTTPAction(), diff(), displayInfo(), removeThis(), store(), and storeVersioned().

## ◆ dataTypeByID()

static eZContentClassAttribute::dataTypeByID | ( |  | $classAttributeID | ) |
| static

Definition at line 671 of file ezcontentclassattribute.php.

References cachedInfo().

Referenced by eZContentObjectTreeNode\dataTypeByClassAttributeID().

## ◆ definition()

static eZContentClassAttribute::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 62 of file ezcontentclassattribute.php.

Referenced by create(), fetch(), fetchFilteredList(), fetchList(), fetchListByClassID(), move(), eZContentClass\removeAttributes(), and eZContentClass\removeTemporary().

## ◆ description()

eZContentClassAttribute::description | ( |  | $languageLocale = `false` | ) |

Returns description of attribute based on serialized_description_list

Parameters

  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string

Definition at line 743 of file ezcontentclassattribute.php.

## ◆ descriptionList()

eZContentClassAttribute::descriptionList | ( |  | ) |

Returns description list for all locales for attribute

Returns
  array

Definition at line 765 of file ezcontentclassattribute.php.

## ◆ diff()

eZContentClassAttribute::diff | ( |  | $old,
|  |  | $new
| ) |  |

This methods relay calls to the diff method inside the datatype.

Definition at line 685 of file ezcontentclassattribute.php.

References dataType().

## ◆ displayInfo()

eZContentClassAttribute::displayInfo | ( |  | ) |

Returns
  Information on how to display the class attribute. See eZDataType::classDisplayInformation() for more information on what is returned.

Definition at line 560 of file ezcontentclassattribute.php.

References $DisplayInfo, and dataType().

## ◆ editLocale()

eZContentClassAttribute::editLocale | ( |  | ) |

Returns locale code as set with self::setEditLocale()

Returns
  string|false

Definition at line 808 of file ezcontentclassattribute.php.

References $EditLocale.

## ◆ expireCache()

static eZContentClassAttribute::expireCache | ( |  | $contentClassAttributeID = `false`,
|  |  | $contentClassID = `false`
| ) |  |
| static

Clears all content class attribute related caches

Parameters

  int | $contentClassAttributeID | Specific attribute ID to clear cache for
  int | $contentClassID | Specific attribute ID to clear cache for

Returns
  void

Since
  4.2

Definition at line 1099 of file ezcontentclassattribute.php.

Referenced by eZContentClass\expireCache(), removeThis(), store(), and storeVersioned().

## ◆ fetch()

static eZContentClassAttribute::fetch | ( |  | $id,
|  |  | $asObject = `true`,
|  |  | $version = `eZContentClass::VERSION_STATUS_DEFINED`,
|  |  | $field_filters = `null`
| ) |  |
| static

Definition at line 380 of file ezcontentclassattribute.php.

References definition(), and eZPersistentObject\fetchObject().

Referenced by eZISBN10To13Converter\addAllClasses(), eZISBN10To13Converter\addAttribute(), eZWaitUntilDate\addEntry(), eZWaitUntilDateValue\classAttributeName(), eZContentObjectAttribute\contentClassAttribute(), eZInformationCollectionAttribute\contentClassAttribute(), eZContentObjectAttribute\contentClassAttributeCanTranslate(), eZContentObjectAttribute\contentClassAttributeIsInformationCollector(), eZContentObjectAttribute\contentClassAttributeIsRequired(), eZContentObjectAttribute\contentClassAttributeName(), and eZIdentifierType\fetchClassAttributeHTTPInput().

## ◆ fetchFilteredList()

static eZContentClassAttribute::fetchFilteredList | ( |  | $cond,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 481 of file ezcontentclassattribute.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZContentClass\fetchAttributeByIdentifier(), eZContentClass\fetchAttributes(), eZContentClass\fetchSearchableAttributes(), eZSiteInstaller\removeClassAttribute(), and eZSiteInstaller\updateClassAttributes().

## ◆ fetchList()

static eZContentClassAttribute::fetchList | ( |  | $asObject = `true`,
|  |  | $parameters = `array()`
| ) |  |
| static

Definition at line 403 of file ezcontentclassattribute.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZCache\purgeImageAlias().

## ◆ fetchListByClassID()

static eZContentClassAttribute::fetchListByClassID | ( |  | $classID,
|  |  | $version = `eZContentClass::VERSION_STATUS_DEFINED`,
|  |  | $asObject = `true`
| ) |  |
| static

Definition at line 450 of file ezcontentclassattribute.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZWaitUntilDateType\attribute(), and eZContentObject\fetchClassAttributes().

## ◆ initializeObjectAttributes()

eZContentClassAttribute::initializeObjectAttributes | ( | & | $objects = `null` | ) |

Initialize the attribute in the existing objects.

Parameters

  mixed | $objects | not used, the existing objects are fetched if necessary (depending on the datatype of the attribute).

Definition at line 958 of file ezcontentclassattribute.php.

References $ContentClassID, $ID, eZPersistentObject\attribute(), eZContentObject\clearCache(), eZContentObjectAttribute\create(), eZContentObject\fetchSameClassList(), and eZDB\instance().

## ◆ instantiate()

eZContentClassAttribute::instantiate | ( |  | $contentobjectID,
|  |  | $languageCode = `false`,
|  |  | $version = `1`
| ) |  |

Definition at line 267 of file ezcontentclassattribute.php.

References eZPersistentObject\attribute(), and eZContentObjectAttribute\create().

## ◆ instantiateTemporary()

eZContentClassAttribute::instantiateTemporary | ( |  | $contentobjectID = `false` | ) |

Definition at line 275 of file ezcontentclassattribute.php.

References eZPersistentObject\attribute(), and eZContentObjectAttribute\create().

## ◆ move()

eZContentClassAttribute::move | ( |  | $down,
|  |  | $params = `null`
| ) |  |

Moves the object down if $down is true, otherwise up. If object is at either top or bottom it is wrapped around.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 505 of file ezcontentclassattribute.php.

References $ContentClassID, $Position, $Version, definition(), and eZPersistentObject\reorderObject().

## ◆ name()

eZContentClassAttribute::name | ( |  | $languageLocale = `false` | ) |

Returns name of attribute based on serialized_name_list

Parameters

  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string

Definition at line 710 of file ezcontentclassattribute.php.

## ◆ nameFromSerializedString()

static eZContentClassAttribute::nameFromSerializedString | ( |  | $serializedNameList,
|  |  | $languageLocale = `false`
| ) |  |
| static

Returns name from serialized string, can be used for serialized description and data_text as well.

Parameters

  string | $serializedNameList |
  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string

Definition at line 699 of file ezcontentclassattribute.php.

References eZSerializedObjectNameList\nameFromSerializedString().

Referenced by eZContentObjectVersion\fetchAttributes().

## ◆ nameList()

eZContentClassAttribute::nameList | ( |  | ) |

Returns name list for all locales for attribute

Returns
  array

Definition at line 732 of file ezcontentclassattribute.php.

## ◆ removeThis()

eZContentClassAttribute::removeThis | ( |  | $quiet = `false` | ) |

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Definition at line 356 of file ezcontentclassattribute.php.

References eZPersistentObject\attribute(), dataType(), expireCache(), eZDB\instance(), and eZDebug\writeError().

## ◆ removeTranslation()

eZContentClassAttribute::removeTranslation | ( |  | $languageLocale | ) |

Removes an translation (as in the serilized strings for name, description or data_text_i18n)

Parameters

  string | $languageLocale |

Definition at line 849 of file ezcontentclassattribute.php.

## ◆ setAlwaysAvailableLanguage()

eZContentClassAttribute::setAlwaysAvailableLanguage | ( |  | $languageLocale | ) |

Specify AlwaysAvailableLanguage (for name, description or data_text_i18n)

Parameters

  string | false | $languageLocale |

Definition at line 828 of file ezcontentclassattribute.php.

## ◆ setContent()

eZContentClassAttribute::setContent | ( |  | $content | ) |

Sets the content for the current attribute

Definition at line 551 of file ezcontentclassattribute.php.

## ◆ setDataTextI18n()

eZContentClassAttribute::setDataTextI18n | ( |  | $string,
|  |  | $languageLocale = `false`
| ) |  |

Sets data_text_i18n of attribute, store() will take care of writing back to serialized_data_text

Parameters

  string | $string |
  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string Return old value

Definition at line 788 of file ezcontentclassattribute.php.

## ◆ setDescription()

eZContentClassAttribute::setDescription | ( |  | $description,
|  |  | $languageLocale = `false`
| ) |  |

Sets description of attribute, store() will take care of writing back to serialized_description_list

Parameters

  string | $description |
  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string Return old value

Definition at line 755 of file ezcontentclassattribute.php.

## ◆ setEditLocale()

eZContentClassAttribute::setEditLocale | ( |  | $languageLocale = `false` | ) |

Sets locale code of attribute for use by datatypes in class/edit storing process.

Parameters

  string | false | $languageLocale | Uses AlwaysAvailable language if false

Definition at line 818 of file ezcontentclassattribute.php.

## ◆ setName()

eZContentClassAttribute::setName | ( |  | $name,
|  |  | $languageLocale = `false`
| ) |  |

Sets name of attribute, store() will take care of writing back to serialized_name_list

Parameters

  string | $name |
  string | false | $languageLocale | Uses AlwaysAvailable language if false

Returns
  string Return old value

Definition at line 722 of file ezcontentclassattribute.php.

## ◆ sortKeyTypeByID()

static eZContentClassAttribute::sortKeyTypeByID | ( |  | $classAttributeID | ) |
| static

Definition at line 654 of file ezcontentclassattribute.php.

References cachedInfo().

Referenced by eZContentObjectTreeNode\sortKeyByClassAttributeID().

## ◆ store()

eZContentClassAttribute::store | ( |  | $fieldFilters = `null` | ) |

Stores the object in the database, uses storeObject() to do the actual job and passes $fieldFilters to it.

Note: Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Parameters

  array | null | $fieldFilters |

Returns
  void

Reimplemented from eZPersistentObject.

Definition at line 280 of file ezcontentclassattribute.php.

References eZPersistentObject\attribute(), dataType(), expireCache(), and eZPersistentObject\setAttribute().

## ◆ storeDefined()

eZContentClassAttribute::storeDefined | ( |  | ) |

Store the content class in the version status "defined".

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Returns
  null|false false if the operation failed

Definition at line 312 of file ezcontentclassattribute.php.

References storeVersioned(), and eZContentClass\VERSION_STATUS_DEFINED.

## ◆ storeVersioned()

eZContentClassAttribute::storeVersioned | ( |  | $version | ) |

Store the content class in the specified version status.

Note
  Transaction unsafe. If you call several transaction unsafe methods you must enclose the calls within a db transaction; thus within db->begin and db->commit.

Parameters

  int | $version | version status

Since
  Version 4.3

Returns
  null|false false if the operation failed

Definition at line 327 of file ezcontentclassattribute.php.

References eZPersistentObject\attribute(), dataType(), expireCache(), eZDB\instance(), and eZPersistentObject\setAttribute().

Referenced by storeDefined().

## Member Data Documentation

## ◆ $Content

eZContentClassAttribute::$Content

Contains the content for this attribute

Definition at line 1136 of file ezcontentclassattribute.php.

Referenced by content().

## ◆ $ContentClassID

eZContentClassAttribute::$ContentClassID

Definition at line 1141 of file ezcontentclassattribute.php.

Referenced by initializeObjectAttributes(), and move().

## ◆ $DataTextI18nList

eZContentClassAttribute::$DataTextI18nList

Definition at line 1155 of file ezcontentclassattribute.php.

## ◆ $DataTypeString

eZContentClassAttribute::$DataTypeString

Definition at line 1149 of file ezcontentclassattribute.php.

## ◆ $DescriptionList

eZContentClassAttribute::$DescriptionList

Definition at line 1148 of file ezcontentclassattribute.php.

## ◆ $DisplayInfo

eZContentClassAttribute::$DisplayInfo

Contains information on how to display the current attribute in various viewmodes.

Definition at line 1138 of file ezcontentclassattribute.php.

Referenced by displayInfo().

## ◆ $EditLocale

eZContentClassAttribute::$EditLocale = false
| protected

Definition at line 1158 of file ezcontentclassattribute.php.

Referenced by editLocale().

## ◆ $ID

eZContentClassAttribute::$ID

Definition at line 1139 of file ezcontentclassattribute.php.

Referenced by initializeObjectAttributes().

## ◆ $Identifier

eZContentClassAttribute::$Identifier

Definition at line 1142 of file ezcontentclassattribute.php.

## ◆ $identifierHash

eZContentClassAttribute::$identifierHash = null
| static private

In-memory cache for class attributes identifiers / id matching

Definition at line 1163 of file ezcontentclassattribute.php.

Referenced by classAttributeIDByIdentifier(), classAttributeIdentifierByID(), and classAttributeIdentifiersHash().

## ◆ $IsInformationCollector

eZContentClassAttribute::$IsInformationCollector

Definition at line 1153 of file ezcontentclassattribute.php.

## ◆ $IsRequired

eZContentClassAttribute::$IsRequired

Definition at line 1152 of file ezcontentclassattribute.php.

## ◆ $IsSearchable

eZContentClassAttribute::$IsSearchable

Definition at line 1151 of file ezcontentclassattribute.php.

## ◆ $Module

eZContentClassAttribute::$Module

Definition at line 1154 of file ezcontentclassattribute.php.

Referenced by currentModule().

## ◆ $NameList

eZContentClassAttribute::$NameList

Definition at line 1146 of file ezcontentclassattribute.php.

## ◆ $Position

eZContentClassAttribute::$Position

Definition at line 1150 of file ezcontentclassattribute.php.

Referenced by move().

## ◆ $SerializedNameList

eZContentClassAttribute::$SerializedNameList

Definition at line 1144 of file ezcontentclassattribute.php.

## ◆ $Version

eZContentClassAttribute::$Version

Definition at line 1140 of file ezcontentclassattribute.php.

Referenced by move().

The documentation for this class was generated from the following file:

- ezcontentclassattribute.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.